#
# spec file for package silc-toolkit (Version 1.1.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs dante dante-devel diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp nasm ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux yasm zlib


Name:           silc-toolkit
# NOTE: This package compiles only library and not client nor server.
Summary:        Secure Internet Live Conferencing Software Development Toolkit
Version:        1.1.2
Release:        14.6
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Url:            http://www.silcnet.org/software/developers/toolkit/
Source:         http://www.silcnet.org/download/toolkit/sources/%{name}-%{version}.tar.bz2
Patch:          silc-toolkit-1.1-beta2-strict-aliasing.patch
Patch1:         silc-buildroot.patch
Patch2:         silc-tutorial-makefile.patch
Patch3:         silc-syntax.patch
Patch4:         silc-fingerprint-CVE-2008-1227.patch
Patch5:         silc-pkcs_decode-buffer-overflow-CORE-2007-1212.patch
# PATCH-FIX-SECURITY silc-toolkit-1.1.10-security.patch bnc535841 sbrabec@suse.cz -- Cummulative patch backporting security fixes in silc-toolkit-1.1.10.
Patch6:         silc-toolkit-1.1.10-security.patch
BuildRequires:  dante-devel nasm yasm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SILC Toolkit is a software development toolkit which provides full SILC
protocol implementation for application developers. The SILC Toolkit
provides SILC Client Library, SILC Protocol Core Library, SILC Key
Exchange Library, SILC Crypto Library, SILC Math Library, SILC Utility
Library, as well as other libraries. The SILC Toolkit also includes a
full reference manual and developer guide with examples and tutorials.

SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channels.
SILC is similar to IRC, as they both provide conferencing services and
almost have the same commands. However, they differ internally: unlike
IRC, SILC is secure and has an entirely different compared to IRC.



Authors:
--------
    Pekka Riikonen <priikone@silcnet.org>
    Jochen Eisinger <coffee@silcnet.org>
    Johnny Mnemonic <johnny@themnemonic.org>
    Patrik Weiskircher <pat@icore.at>
    Timo Sirainen <tss@iki.fi>
    Lubomir Sedlacik <salo@silcnet.org>

%debug_package
%package devel
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Summary:        Secure Internet Live Conferencing Software Development Toolkit
Requires:       %{name} = %{version} dante-devel

%description devel
SILC Toolkit is a software development toolkit which provides full SILC
protocol implementation for application developers. The SILC Toolkit
provides SILC Client Library, SILC Protocol Core Library, SILC Key
Exchange Library, SILC Crypto Library, SILC Math Library, SILC Utility
Library, and other libraries. The SILC Toolkit also includes full
reference manual and developer guide with examples and tutorials.

SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as
IRC. Other than that they are nothing alike.  Major differences are
that SILC is secure what IRC is not in any way.  The network model is
also entirely different compared to IRC.



Authors:
--------
    Pekka Riikonen <priikone@silcnet.org>
    Jochen Eisinger <coffee@silcnet.org>
    Johnny Mnemonic <johnny@themnemonic.org>
    Patrik Weiskircher <pat@icore.at>
    Timo Sirainen <tss@iki.fi>
    Lubomir Sedlacik <salo@silcnet.org>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1
chmod -x [CIR]*

%build
ACLOCAL="aclocal -I ." autoreconf -f -i
# If it compiles OK, do not use --with-gmp. See INSTALL for more.
%configure\
	--includedir=%{_includedir}/silc\
	--docdir=%{_docdir}/%{name}\
	--with-simdir=%{_libdir}/silc/modules\
	--with-socks4
make %{?jobs:-j%jobs}

%install
%makeinstall
rm $RPM_BUILD_ROOT%{_docdir}/%{name}/{INSTALL,README.MACOSX,README.SYMBIAN,README.WIN32}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/silc
cp doc/silcalgs.conf $RPM_BUILD_ROOT%{_sysconfdir}/silc/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/BSD
%doc %{_docdir}/%{name}/CHANGES
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/CREDITS
%doc %{_docdir}/%{name}/FAQ
%doc %{_docdir}/%{name}/GPL
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/TODO
%{_libdir}/*.so.*
%{_libdir}/silc
%{_sysconfdir}/silc

%files devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}/CodingStyle
%doc %{_docdir}/%{name}/README.CVS
%doc %{_docdir}/%{name}/*.txt
%doc %{_docdir}/%{name}/toolkit
%doc %{_docdir}/%{name}/tutorial
%{_includedir}/silc
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Sep 01 2009 - sbrabec@suse.cz
- Fixed format string arbitrary execution errors (bnc#535841).
- Fixed stack overwrite due to format string error on x86_64
  (bnc#535841).
* Wed Mar 26 2008 - sbrabec@suse.cz
- Fixed possible buffer overflow in PKCS#1 message decoding
  (bnc#373927, CORE-2007-1212, Bugtraq#28373, CWE#196).
* Tue Mar 11 2008 - sbrabec@suse.cz
- Fixed printable fingerprint buffer overflow (bnc#369067,
  CVE-2008-1227).
* Mon Aug 13 2007 - schwab@suse.de
- Fix syntax error.
* Thu Jul 26 2007 - sbrabec@suse.cz
- Updated to version 1.1.2:
  * Fixed buffer overflow with NICK_CHANGE notify in client
  library.
  * Fixed silc_client_free early crash.
  * Fixred PFS rekey with CTR mode.
  * Fixed packet flags unsetting.
  * Added silc_idcache_move function.
  * Other fixes were also made.
* Tue May 15 2007 - sbrabec@suse.cz
- New SuSE package, version 1.0.2 (compatible with pidgin-2.0.0).
